Package be.cin.mycarenet._1_0.carenet.types

# Class PeriodLengthType

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.PeriodLengthType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class PeriodLengthType extends Object implements Serializable

Java class for PeriodLengthType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodLengthType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="PeriodLength">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:be:cin:mycarenet:1.0:carenet:types>NumericalType_2">
                       <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodLengthTypeType" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodLengthType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getPeriodEnd()`
  The end date of the period.
  `PeriodLength`
  `getPeriodLength()`
  Gets the value of the periodLength property.
  `Instant`
  `getPeriodStart()`
  The start date of the period
  `void`
  `setPeriodEnd(Instant value)`
  Sets the value of the periodEnd property.
  `void`
  `setPeriodLength(PeriodLength value)`
  Sets the value of the periodLength property.
  `void`
  `setPeriodStart(Instant value)`
  Sets the value of the periodStart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeriodLengthType

    public PeriodLengthType()

- ## Method Details

  - ### getPeriodStart

    public Instant getPeriodStart()
    The start date of the period
    Returns:
      possible object is `String`

  - ### setPeriodStart

    public void setPeriodStart(Instant value)
    Sets the value of the periodStart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodStart()`

  - ### getPeriodLength

    public PeriodLength getPeriodLength()
    Gets the value of the periodLength property.
    Returns:
      possible object is `PeriodLength`

  - ### setPeriodLength

    public void setPeriodLength(PeriodLength value)
    Sets the value of the periodLength property.
    Parameters:
      `value` - allowed object is `PeriodLength`

  - ### getPeriodEnd

    public Instant getPeriodEnd()
    The end date of the period.
    Returns:
      possible object is `String`

  - ### setPeriodEnd

    public void setPeriodEnd(Instant value)
    Sets the value of the periodEnd property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPeriodEnd()`